> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulse-send.jiordiviera.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List templates

> Returns your templates, most recently changed first, with cursor pagination.



## OpenAPI

````yaml /openapi.json get /templates
openapi: 3.1.2
info:
  title: PulseSend API
  version: 1.0.0
  description: >-
    Send transactional email over HTTP. Authenticate with a `ps_live_` or
    `ps_test_` key.
servers:
  - url: https://pulse-send.jiordiviera.me/api/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Emails
  - name: Files
  - name: Templates
paths:
  /templates:
    get:
      tags:
        - Templates
      summary: List templates
      description: >-
        Returns your templates, most recently changed first, with cursor
        pagination.
      operationId: v1.templates.index
      parameters:
        - name: limit
          in: query
          description: Templates per page, from 1 to 100.
          schema:
            type: integer
            default: 20
          example: 20
        - name: cursor
          in: query
          description: The `next_cursor` value from the previous page.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    const: list
                  data:
                    type: string
                  has_more:
                    type: boolean
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - object
                  - data
                  - has_more
                  - next_cursor
components:
  securitySchemes:
    apiKey:
      type: http
      description: Your API key, `ps_live_…` or `ps_test_…`.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.